#ifndef TIMESWITCHER_H
#define TIMESWITCHER_H

#include <QObject>

#include "device/DeviceBase.h"
#include "protocol/dto/TimeSwitcherInterfaceDto.h"
#include "protocol/dto/TimeSwitcherStatusDto.h"
#include "protocol/dto/CommandReplyDto.h"

class TimeSwitcher : public DeviceBase
{
    Q_OBJECT
public:
    explicit TimeSwitcher(QObject *parent = nullptr);
    ~TimeSwitcher();

    void frameParse(QList<QByteArray> frameList);

    void mockReceivData();
    void mockReceivCmdReply(){}

    void afterFrameParse(DeviceFrameBaseDto * frameDto);
    void afterCommandReply(DeviceFrameBaseDto * frameDto){}
    void sendDataToSerial(QByteArray data);

signals:
    void sendDataToDraw(DeviceFrameBaseDto * frameData);
    void sendCommandToDisplay(QJsonObject command);

public slots:
    void dataReceivedHandler(QByteArray data);
    void dataBReceivedHandler(QByteArray data);
    void commandReceivedHandler(QJsonObject command);

};

#endif // TIMESWITCHER_H
